Page MenuHomePhabricator

[Task] Show empty mediainfo for mediainfo ids that correspond to existing file-pages
Closed, ResolvedPublic

Description

When you go to a non-existing MediaInfo page on the test wiki (on Commons this would be something like https://commons.wikimedia.org/wiki/MediaInfo:M123) an empty entity view should be rendered, just as an empty entity exists. Editing on that page should be possible, but all "save" buttons must fail with an exception.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 3 2016, 1:44 PM
Lydia_Pintscher triaged this task as Normal priority.May 19 2016, 12:51 PM

Change 292740 had a related patch set uploaded (by Daniel Kinzler):
Show a dummy MediaInfo instead of "this page does not exist".

https://gerrit.wikimedia.org/r/292740

daniel claimed this task.Jun 8 2016, 10:36 AM
daniel moved this task from Proposed to Doing on the Wikidata-Sprint-2016-05-10 board.
daniel moved this task from Proposed to Doing on the Wikidata-Sprint-2016-05-24 board.
daniel moved this task from Doing to Proposed on the Wikidata-Sprint-2016-05-10 board.
Jonas closed this task as Resolved.Jun 16 2016, 3:59 PM
Jonas moved this task from Doing to Done on the Wikidata-Sprint-2016-05-24 board.

Change 292740 merged by jenkins-bot:
Show a dummy MediaInfo instead of "this page does not exist".

https://gerrit.wikimedia.org/r/292740